Get Special Handling Codes
curl --request GET \
--url https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/shc \
--header 'Authorization: <api-key>'import requests
url = "https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/shc"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/shc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shcCodes": [
{
"code": "PER",
"name": "Perishable",
"category": "Special Handling",
"requiresApproval": false
}
]
}Reference & Master Data
Get Special Handling Codes
Get list of Special Handling Codes (SHC) for cargo
GET
/
api
/
shc
Get Special Handling Codes
Retrieve list of Special Handling Codes (SHC) for cargo.
Reference Documentation
For more information on cargo related data handling, please refer to:
- Page 593 of “Functional_Requirements_V18 FINAL”: https://belli.sg/4nxxCDR
Authorizations
ApiKeyAuthApiKeyHeader
Query Parameters
Filter by SHC code
Filter by SHC name
Filter by category
Filter by approval requirement
Response
200 - application/json
SHC list
Show child attributes
Show child attributes
⌘I